# Uses of Enum Class
nu.validator.htmlparser.common.Heuristics

Packages that use Heuristics
Package
Description
nu.validator.htmlparser.common
This package provides common interfaces and enumerations.
nu.validator.htmlparser.dom
This package provides an HTML5 parser that exposes the document using the DOM API.
nu.validator.htmlparser.io
nu.validator.htmlparser.sax
This package provides an HTML5 parser that exposes the document through the SAX API.
nu.validator.htmlparser.xom
This package provides an HTML5 parser that exposes the document through the XOM API.

## Uses of Heuristics in nu.validator.htmlparser.common

Subclasses with type arguments of type Heuristics in nu.validator.htmlparser.common
Modifier and Type
Class
Description
`enum`
`Heuristics`
Indicates a request for character encoding sniffer choice.
Methods in nu.validator.htmlparser.common that return Heuristics
Modifier and Type
Method
Description
`static Heuristics`
Heuristics.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Heuristics[]`
Heuristics.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

## Uses of Heuristics in nu.validator.htmlparser.dom

Methods in nu.validator.htmlparser.dom that return Heuristics
Modifier and Type
Method
Description
`Heuristics`
HtmlDocumentBuilder.`getHeuristics()`
Methods in nu.validator.htmlparser.dom with parameters of type Heuristics
Modifier and Type
Method
Description
`void`
HtmlDocumentBuilder.`setHeuristics(Heuristics heuristics)`
Sets the encoding sniffing heuristics.

## Uses of Heuristics in nu.validator.htmlparser.io

Methods in nu.validator.htmlparser.io with parameters of type Heuristics
Modifier and Type
Method
Description
`void`
Driver.`setHeuristics(Heuristics heuristics)`
Sets the encoding sniffing heuristics.
Constructors in nu.validator.htmlparser.io with parameters of type Heuristics
Modifier
Constructor
Description
``
`HtmlInputStreamReader(InputStream inputStream, ErrorHandler errorHandler, Tokenizer tokenizer, Driver driver, Heuristics heuristics)`
``
`HtmlInputStreamReader(InputStream inputStream, ErrorHandler errorHandler, Tokenizer tokenizer, Driver driver, Heuristics heuristics, int sniffingLimit)`

## Uses of Heuristics in nu.validator.htmlparser.sax

Methods in nu.validator.htmlparser.sax that return Heuristics
Modifier and Type
Method
Description
`Heuristics`
HtmlParser.`getHeuristics()`
Methods in nu.validator.htmlparser.sax with parameters of type Heuristics
Modifier and Type
Method
Description
`void`
HtmlParser.`setHeuristics(Heuristics heuristics)`
Sets the encoding sniffing heuristics.

## Uses of Heuristics in nu.validator.htmlparser.xom

Methods in nu.validator.htmlparser.xom that return Heuristics
Modifier and Type
Method
Description
`Heuristics`
HtmlBuilder.`getHeuristics()`
Methods in nu.validator.htmlparser.xom with parameters of type Heuristics
Modifier and Type
Method
Description
`void`
HtmlBuilder.`setHeuristics(Heuristics heuristics)`
Sets the encoding sniffing heuristics.